/*
Copyright (C) 2007 - Nastasi Christian
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "flexGUI.h"

FlexGUI::FlexGUI(unsigned int w, unsigned int h, const char *l) : Fl_Double_Window((int)w,(int)h,l), width(w), height(h), m_image(NULL)
{
	Fl::visual(FL_RGB);
	m_bMain = new Fl_Box(0,0,w,h);
	m_bMain->box(FL_FLAT_BOX);
}

void FlexGUI::show_gui()
{
	show();
}

bool FlexGUI::image_show(unsigned char *image, unsigned int w, unsigned int h, unsigned int channel) 
{
	if(channel !=1 && channel !=3)
		return false;

	if(m_image) delete m_image;

	m_image = new Fl_RGB_Image(image, w, h,channel);
	m_bMain->image(m_image);
	m_bMain->redraw();

	return true;
}




